# XQilla Simple API Documentation

# QueryPathTreeFilter::StackEntry Struct Reference

`#include <QueryPathTreeFilter.hpp>`

List of all members.

## Public Member Functions

| StackEntry ()
void | addNode (const QueryPathNode *isn)
void | addChildren (const QueryPathNode *isn)

## Public Attributes

xercesc::XMLBuffer | prefix
xercesc::XMLBuffer | uri
xercesc::XMLBuffer | localname
bool | matched
bool | nonElementChildren
bool | attrChildren
QPNVector | children

## Constructor & Destructor Documentation

QueryPathTreeFilter::StackEntry::StackEntry | ( |  | ) | `[inline]`

## Member Function Documentation

void QueryPathTreeFilter::StackEntry::addChildren | ( | const QueryPathNode * | isn | ) |

void QueryPathTreeFilter::StackEntry::addNode | ( | const QueryPathNode * | isn | ) |

## Member Data Documentation

bool QueryPathTreeFilter::StackEntry::attrChildren

QPNVector QueryPathTreeFilter::StackEntry::children

xercesc:: XMLBuffer QueryPathTreeFilter::StackEntry::localname

bool QueryPathTreeFilter::StackEntry::matched

bool QueryPathTreeFilter::StackEntry::nonElementChildren

xercesc:: XMLBuffer QueryPathTreeFilter::StackEntry::prefix

xercesc:: XMLBuffer QueryPathTreeFilter::StackEntry::uri

The documentation for this struct was generated from the following file:

- QueryPathTreeFilter.hpp